订阅本站
收藏本站
微博分享
QQ空间分享

Linux kernel KEYS子系统拒绝服务漏洞(CVE-2017-7472)

alen 分类:安全维护 时间:2018/11/20 00:00:00 评论: 加入收藏
Linux kernel KEYS子系统拒绝服务漏洞(CVE-2017-7472)


发布日期:2017-05-12
更新日期:2017-05-12

受影响系统:

Linux kernel < 4.10.13

描述:


CVE(CAN) ID: CVE-2017-7472

Linux Kernel是Linux操作系统的内核。

Linux kernel < 4.10.13版本在KEYS子系统实现中存在安全漏洞,可使本地用户通过一系列KEY_REQKEY_DEFL_THREAD_KEYRING keyctl_set_reqkey_keyring调用,造成拒绝服务(内存耗尽)。

<*来源:vendor
  *>

建议:


厂商补丁:

Linux
-----
目前厂商已经发布了升级补丁以修复这个安全问题,请到厂商的主页下载

http://git.kernel.org/cgit/linux/kernel/git/torvalds/linux.git/commit/?id=c9f838d104fed6f2f61d68164712e3204bf5271b

http://openwall.com/lists/oss-security/2017/05/11/1

https://bugzilla.novell.com/show_bug.cgi?id=1034862

https://github.com/torvalds/linux/commit/c9f838d104fed6f2f61d68164712e3204bf5271b

https://lkml.org/lkml/2017/4/1/235

https://lkml.org/lkml/2017/4/3/724

https://www.kernel.org/pub/linux/kernel/v4.x/ChangeLog-4.10.13

本文永久更新链接地址:http://www.linuxidc.com/Linux/2017-05/143716.htm

TAG:

文章评论

留言与评论(共有 0 条评论)
   
验证码: